IKEv1 ilə IKEv2 arasında əvvəlcədən paylaşılan açar autentifikasiyası: fərq nədir
Hər iki versiya əvvəlcədən paylaşılan açarı göndərmədən onu bildiyini sübut edir, lakin müxtəlif girişləri müxtəlif heşlərə ötürür. İki izi müqayisə edin.
Eyni əvvəlcədən paylaşılan açarla konfiqurasiya edilmiş iki şlüz əl sıxışmasını tamamlayır və paket tutumu şəbəkədən heç bir sirrin keçmədiyini göstərir. Bu, insanların yadda saxladığı hissədir. Maraqlı hissə hər versiyanın sirrin bilindiyini sübut etmək üçün həqiqətən nə hesablamasıdır, çünki IKEv1 və IKEv2 bu sübutu fərqli girişlərdən qurur və bunu edərkən fərqli məlumat açıqlayır. İki izi yan-yana oxuyun və fərq artıq kosmetik olmaqdan çıxır.
Sübut nəyi həll etməlidir
Diffie-Hellman hər iki tərəfə ortaq bir dəyər verir ki, izləyən hər kəs onun açıq yarılarını da hesablaya bilər. Bu təkbaşına şəxsiyyət haqqında heç nə sübut etmir: açar mübadiləsini tamamlayan hücumçu sizin şlüzünüzlə eyni ortaq dəyərə sahib olur. Autentifikasiya mərhələsi bu mübadiləni yalnız nəzərdə tutulan tərəflərin bildiyi sirrə, həmçinin razılaşdıqları şəxsiyyətlərə və parametrlərə bağlamaq üçün mövcuddur.
Bu bağlama heşin niyə açardan çoxunu əhatə etdiyini izah edir. Əgər yalnız sirri əhatə etsəydi, hücumçu onu fərqli şəxsiyyətlər və ya təkliflərlə başqa mübadiləyə təkrar yerləşdirə bilərdi.
IKEv1 Main Mode: SKEYID törətmək və sonra sübut etmək
Main Mode altı mesaj işlədir. Birinci cüt təhlükəsizlik assosiasiyasını razılaşdırır, ikinci cüt Diffie-Hellman açıq dəyərlərini və təsadüfi ədədləri mübadilə edir, üçüncü cüt isə yeni qurulmuş şifrələmə altında şəxsiyyətləri və autentifikasiya heşlərini daşıyır. RFC 2409 konstruksiyanı müəyyən edir: əvvəlcədən paylaşılan açar autentifikasiyası ilə SKEYID sirrdən və hər iki təsadüfi ədəddən törədilir, sonrakı açar materialı isə SKEYID-dən, Diffie-Hellman ortaq dəyərindən, kukilərdən və sabitlərdən törədilir.
Beşinci və altıncı mesajlardakı heş Diffie-Hellman dəyəri, iki kuki, təklif və göndərənin şəxsiyyəti üzərində SKEYID ilə hesablanır. Qəbul edən onu öz konfiqurasiya edilmiş sirri ilə yenidən hesablayır. Uyğunsuzluq mübadiləni bitirir və sirrin özü heç vaxt yük olmur.
Aggressive Mode eyni işi üç mesaja sıxır, yəni şəxsiyyətlər və autentifikasiya heşi şifrələnmiş kanal yaranmadan əvvəl gedir. Bu, təxmin edilə bilən sirr üçün real məruz qalmadır və sirrin ötürülüb-ötürülməməsi sualından ayrıdır. IKEv1 RFC 9395 ilə köhnəlmiş sayılır, buna görə köhnə iz yerləşdirmə hədəfi deyil, diaqnostik məşqdir.
IKEv2: fərqli törəmə və fərqli AUTH yükü
IKEv2 IKEv1 açar cədvəlini yenidən istifadə etmir. İlkin IKE açarları təsadüfi ədədlərdən və Diffie-Hellman ortaq dəyərindən qurulan toxumdan gəlir, uşaq təhlükəsizlik assosiasiyaları isə ondan törəyir. Əvvəlcədən paylaşılan açar toxumu heç vaxt qidalandırmır.
Autentifikasiya sonra AUTH yükü kimi görünür. Ortaq açar autentifikasiyası üçün RFC 7296 sirrin doldurulmuş formasını müəyyən edir; bu forma sirri Key Pad for IKEv2 sabit sətri ilə heşləməklə, sonra imzalanmış mübadilə məlumatlarını və şəxsiyyəti həmin doldurulmuş açarla heşləməklə əldə edilir. Yoxlayan eyni dəyəri yenidən qura bilər; müşahidəçi isə sirr olmadan qura bilməz.
Nəyin dəyişdiyinə diqqət yetirin. IKEv1-də sirr autentifikasiya heşi yaranmadan əvvəl açar cədvəlinə hörülür; IKEv2-də isə açar cədvəli sirrdən asılı deyil və sübut imzalanmış oktetlərə bağlanmış ayrıca yükdür. Eyni konseptual zəmanət, fərqli mexanizm və buna görə parametr adları ilə tutumlar bir-birinə birebir uyğun gəlmir.
Müşahidəçi əslində nə öyrənir
Diffie-Hellman açıq dəyərləri, təkliflər, təsadüfi ədədlər və kukilər hər iki versiyada görünür. Şəxsiyyətlər IKEv1 Aggressive Mode-da görünür, digər hallarda qorunur. Sirr heç vaxt görünmür.
Bu son cümlənin qeyd etməyə dəyər bir həddi var. Zəif, insan tərəfindən seçilmiş sirr təxminlə hücuma məruz qala bilər: hücumçu namizəd sirr üçün autentifikasiya dəyərinin nə olacağını hesablayır və müqayisə edir. IKEv1 Aggressive Mode bunu ən ucuz edir, çünki sübut açıqdadır, standartlar isə ümumiyyətlə aşağı entropiyalı sirrlərdən xəbərdarlıq edir. Sirri heç vaxt ötürməmək pis bir sirri təhlükəsiz etməklə eyni deyil.
Müqayisə ilə nə etməli
Hər tərəf cütü üçün bir unikal sirr istifadə edin, onu təsadüfi mənbədən yaradın və onu paylayan eyni təminat yolu ilə döndərin. Əgər sirr hər filiala göndərilən konfiqurasiya şablonunda saxlanılırsa, bir yerdəki kompromis hər yerdə kompromisdir.
Əməliyyat xərci məqbul olduqda sertifikata əsaslanan autentifikasiyanı üstün tutun, çünki o, ortaq sirrin təxmin problemini aradan qaldırır və hər tərəfə ayrı şəxsiyyət verir. Əvvəlcədən paylaşılan açar qaldıqda onu uzun saxlayın, əhatəsini daraldın və IKE versiyasını uyğunluq detalları deyil, təhlükəsizlik qərarı kimi dəyərləndirin.